diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/stats/model/stats.h ns-3.36/src/stats/model/stats.h
--- ns-3.35/src/stats/model/stats.h	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/stats/model/stats.h	2022-04-30 18:23:58.154734800 -0700
@@ -75,4 +75,10 @@
  * for subsequent output in a specific format, e.g., Omnet++, SQLite, etc.
  */
 
+/**
+ * \ingroup stats
+ * \ingroup tests
+ * \defgroup stats-tests Statistics module tests
+ */
+
 #endif /* STATS_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/stats/test/average-test-suite.cc ns-3.36/src/stats/test/average-test-suite.cc
--- ns-3.35/src/stats/test/average-test-suite.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/stats/test/average-test-suite.cc	2022-04-30 18:23:58.154734800 -0700
@@ -29,10 +29,11 @@
 // documented.  Current value is sufficient for all test platforms.
 const double TOLERANCE = 2e-14;
 
-// ===========================================================================
-// Test case for a single integer.
-// ===========================================================================
-
+/**
+ * \ingroup stats-tests
+ *
+ * \brief Average class - Test case for a single integer.
+ */
 class OneIntegerAverageTestCase : public TestCase
 {
 public:
@@ -61,7 +62,6 @@
   long count = 1;
 
   double sum = 0;
-  double sqrSum = 0;
   double min;
   double max;
   double mean;
@@ -78,7 +78,6 @@
       calculator.Update (value);
 
       sum    += value;
-      sqrSum += value * value;
     }
 
   // Calculate the expected values for the statistical functions.
@@ -98,10 +97,11 @@
 }
 
 
-// ===========================================================================
-// Test case for five integers.
-// ===========================================================================
-
+/**
+ * \ingroup stats-tests
+ *
+ * \brief Average class - Test case for five integers.
+ */
 class FiveIntegersAverageTestCase : public TestCase
 {
 public:
@@ -167,10 +167,11 @@
 }
 
 
-// ===========================================================================
-// Test case for five double values.
-// ===========================================================================
-
+/**
+ * \ingroup stats-tests
+ *
+ * \brief Average class - Test case for five double values.
+ */
 class FiveDoublesAverageTestCase : public TestCase
 {
 public:
@@ -236,6 +237,11 @@
 }
 
 
+/**
+ * \ingroup stats-tests
+ *
+ * \brief Average class TestSuite
+ */
 class AverageTestSuite : public TestSuite
 {
 public:
@@ -250,4 +256,5 @@
   AddTestCase (new FiveDoublesAverageTestCase, TestCase::QUICK);
 }
 
+ /// Static variable for test initialization
 static AverageTestSuite averageTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/stats/test/basic-data-calculators-test-suite.cc ns-3.36/src/stats/test/basic-data-calculators-test-suite.cc
--- ns-3.35/src/stats/test/basic-data-calculators-test-suite.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/stats/test/basic-data-calculators-test-suite.cc	2022-04-30 18:23:58.154734800 -0700
@@ -27,10 +27,11 @@
 
 const double TOLERANCE = 1e-14;
 
-// ===========================================================================
-// Test case for a single integer.
-// ===========================================================================
-
+/**
+ * \ingroup stats-tests
+ *
+ * \brief MinMaxAvgTotalCalculator class - Test case for a single integer.
+ */
 class OneIntegerTestCase : public TestCase
 {
 public:
@@ -98,10 +99,11 @@
 }
 
 
-// ===========================================================================
-// Test case for five integers.
-// ===========================================================================
-
+/**
+ * \ingroup stats-tests
+ *
+ * \brief MinMaxAvgTotalCalculator class - Test case for five integers.
+ */
 class FiveIntegersTestCase : public TestCase
 {
 public:
@@ -169,10 +171,11 @@
 }
 
 
-// ===========================================================================
-// Test case for five double values.
-// ===========================================================================
-
+/**
+ * \ingroup stats-tests
+ *
+ * \brief MinMaxAvgTotalCalculator class - Test case for five double values.
+ */
 class FiveDoublesTestCase : public TestCase
 {
 public:
@@ -240,6 +243,11 @@
 }
 
 
+/**
+ * \ingroup stats-tests
+ *
+ * \brief MinMaxAvgTotalCalculator class TestSuite
+ */
 class BasicDataCalculatorsTestSuite : public TestSuite
 {
 public:
@@ -254,4 +262,5 @@
   AddTestCase (new FiveDoublesTestCase, TestCase::QUICK);
 }
 
-static BasicDataCalculatorsTestSuite basicDataCalculatorsTestSuite;
+ /// Static variable for test initialization
+ static BasicDataCalculatorsTestSuite basicDataCalculatorsTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/stats/test/double-probe-test-suite.cc ns-3.36/src/stats/test/double-probe-test-suite.cc
--- ns-3.35/src/stats/test/double-probe-test-suite.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/stats/test/double-probe-test-suite.cc	2022-04-30 18:23:58.154734800 -0700
@@ -14,9 +14,18 @@
 
 using namespace ns3;
 
+/**
+ * \ingroup stats-tests
+ *
+ * \brief Simple data emitter to check that a probe receives data.
+ */
 class SampleEmitter : public Object
 {
 public:
+  /**
+   * \brief Get the type ID.
+   * \return The object TypeId.
+   */
   static TypeId GetTypeId (void);
   SampleEmitter ()
   {
@@ -25,35 +34,40 @@
   virtual ~SampleEmitter ()
   {
   }
+  /// Start emission of data.
   void Start ()
   {
     Reschedule ();
   }
+  /// Reschedule a report \sa Report
   void Reschedule ()
   {
     m_time = m_var->GetValue ();
     Simulator::Schedule (Seconds (m_time), &SampleEmitter::Report, this);
     m_time += Simulator::Now ().GetSeconds ();
   }
+  /// \return the time delta of the next report.
   double GetTime ()
   {
     return m_time;
   }
+  /// \return a random variable, different for each reschedule.
   double GetValue ()
   {
     return aux;
   }
 private:
+  /// Reports a new value and reschedules \sa Reschedule
   void Report ()
   {
     aux = m_var->GetValue ();
     m_trace = aux;
     Reschedule ();
   }
-  Ptr<ExponentialRandomVariable> m_var;
-  double m_time;
-  TracedValue<double> m_trace;
-  double aux;
+  Ptr<ExponentialRandomVariable> m_var; //!< Random value generator.
+  double m_time;  //!< Delta time between reschedules.
+  TracedValue<double> m_trace; //!< Trace
+  double aux; //!< Emitted value.
 };
 
 
@@ -69,6 +83,12 @@
   return tid;
 }
 
+
+/**
+ * \ingroup stats-tests
+ *
+ * \brief DoubleProbe class - Test case for connecting and receiving data.
+ */
 class ProbeTestCase1 : public TestCase
 {
 public:
@@ -77,10 +97,17 @@
 
 private:
   virtual void DoRun (void);
+
+  /**
+   * Trace sink.
+   * \param context Trace context
+   * \param oldValue Old value
+   * \param newValue New value
+   */
   void TraceSink (std::string context, double oldValue, double newValue);
-  uint32_t m_objectProbed;
-  uint32_t m_pathProbed;
-  Ptr<SampleEmitter> m_s;
+  uint32_t m_objectProbed;  //!< Number of probes by Object
+  uint32_t m_pathProbed;    //!< Number of probed by Path
+  Ptr<SampleEmitter> m_s;   //!< Sample emitter pointer
 };
 
 ProbeTestCase1::ProbeTestCase1 ()
@@ -160,6 +187,11 @@
 }
 
 
+/**
+ * \ingroup stats-tests
+ *
+ * \brief DoubleProbe class TestSuite
+ */
 class ProbeTestSuite : public TestSuite
 {
 public:
@@ -172,6 +204,6 @@
   AddTestCase (new ProbeTestCase1, TestCase::QUICK);
 }
 
-// Do not forget to allocate an instance of this TestSuite
+ /// Static variable for test initialization
 static ProbeTestSuite probeTestSuite;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/stats/test/histogram-test-suite.cc ns-3.36/src/stats/test/histogram-test-suite.cc
--- ns-3.35/src/stats/test/histogram-test-suite.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/stats/test/histogram-test-suite.cc	2022-04-30 18:23:58.154734800 -0700
@@ -24,13 +24,7 @@
 using namespace ns3;
 
 /**
- * \ingroup stats
- * \defgroup stats-test Stats module tests
- */
-
-/**
- * \ingroup stats-test
- * \ingroup tests
+ * \ingroup stats-tests
  *
  * \brief Histogram Test
  */
@@ -81,8 +75,7 @@
 }
 
 /**
- * \ingroup stats-test
- * \ingroup tests
+ * \ingroup stats-tests
  *
  * \brief Histogram TestSuite
  */
